import { z } from "zod"

import {
  productTypeCorporateChequeSchema,
  productTypePointsSchema,
  productTypePriceSchema,
  productTypeVoucherSchema,
} from "../productTypePrice"

export const productTypeSchema = z
  .object({
    bonusCheque: productTypeCorporateChequeSchema.optional(),
    public: productTypePriceSchema.optional(),
    member: productTypePriceSchema.optional(),
    redemptions: z.array(productTypePointsSchema).optional(),
    voucher: productTypeVoucherSchema.optional(),
  })
  .optional()
